#!/bin/sh
FPS=0.5

URLCMDINIT="/towp/save"
URLCMD= "/torp/wait/img/next/save"
#URLCMD="/torp/wait/img"
#URLCMD1="/torp/meta"
#URLCMD="/torp/wait/img"
#URLCMD="/torp/img/next/save"
#URLCMD1="/torp/wait/meta/next/save"
#URLCMD2="/torp/pointers"
IP1="192.168.0.110"
IP2="192.168.0.111"
IP3="192.168.0.112"
IP4="192.168.0.113"
IP5="192.168.0.114"
IP6="192.168.0.115"
IP7="192.168.0.116"
IP8="192.168.0.117"
IP9="192.168.0.118"
IP10="192.168.0.119"
IP11="192.168.0.120"

DLY1="0"
DLY2="0"
DLY3="0"
DLY4="0"
DLY5="0"
DLY6="0"
DLY7="0"
DLY8="0"
DLY9="0"
DLY10="0"
DLY11="0"

DIR1="camera01/"
DIR2="camera02/"
DIR3="camera03/"
DIR4="camera04/"
DIR5="camera05/"
DIR6="camera06/"
DIR7="camera07/"
DIR8="camera08/"
DIR9="camera09/"
DIR10="camera10/"
DIR11="camera11/"

FILE1="img"
FILE2="img"
FILE3="img"
FILE4="img"
FILE5="img"
FILE6="img"
FILE7="img"
FILE8="img"
FILE9="img"
FILE10="img"
FILE11="img"



#TRIGGERCONDITION="0xb00000"
#GPIO_OUT="0xb00000"

TRIGGERCONDITION="0xbbbb00"
GPIO_OUT="0xbbbb00"
start() {
 echo "Starting acquisition of $1 images from each of 11 cameras"
# sleep 10
 if [ "$DIR1" != "" ] ; then mkdir -p $DIR1 ; fi 
 if [ "$DIR2" != "" ] ; then mkdir -p $DIR2 ; fi 
 if [ "$DIR3" != "" ] ; then mkdir -p $DIR3 ; fi 
 if [ "$DIR4" != "" ] ; then mkdir -p $DIR4 ; fi 
 if [ "$DIR5" != "" ] ; then mkdir -p $DIR5 ; fi 
 if [ "$DIR6" != "" ] ; then mkdir -p $DIR6 ; fi 
 if [ "$DIR7" != "" ] ; then mkdir -p $DIR7 ; fi 
 if [ "$DIR8" != "" ] ; then mkdir -p $DIR8 ; fi 
 if [ "$DIR9" != "" ] ; then mkdir -p $DIR9 ; fi 
 if [ "$DIR10" != "" ] ; then mkdir -p $DIR10 ; fi 
 if [ "$DIR11" != "" ] ; then mkdir -p $DIR11 ; fi 

#testing right before preparing
  wget "http://$IP1:8081/pointers" -O $DIR1${FILE1}_0000pointers.xml
  wget "http://$IP2:8081/pointers" -O $DIR2${FILE2}_0000pointers.xml
  wget "http://$IP3:8081/pointers" -O $DIR3${FILE3}_0000pointers.xml
  wget "http://$IP4:8081/pointers" -O $DIR4${FILE4}_0000pointers.xml
  wget "http://$IP5:8081/pointers" -O $DIR5${FILE5}_0000pointers.xml
  wget "http://$IP6:8081/pointers" -O $DIR6${FILE6}_0000pointers.xml
  wget "http://$IP7:8081/pointers" -O $DIR7${FILE7}_0000pointers.xml
  wget "http://$IP8:8081/pointers" -O $DIR8${FILE8}_0000pointers.xml
  wget "http://$IP9:8081/pointers" -O $DIR9${FILE9}_0000pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR10${FILE10}_0000pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR11${FILE11}_0000pointers.xml

#TODO: add ccam.cgi url to get one image with correct size, quality, mode, etc.
#prepare all cameras to acquire images when triggered
  wget "http://$IP1:81/syncslave354.php?delay=$DLY1&trigger=$TRIGGERCONDITION" -O /dev/null 
  wget "http://$IP2:81/syncslave354.php?delay=$DLY2&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP3:81/syncslave354.php?delay=$DLY3&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP4:81/syncslave354.php?delay=$DLY4&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP5:81/syncslave354.php?delay=$DLY5&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP6:81/syncslave354.php?delay=$DLY6&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP7:81/syncslave354.php?delay=$DLY7&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP8:81/syncslave354.php?delay=$DLY8&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP9:81/syncslave354.php?delay=$DLY9&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP10:81/syncslave354.php?delay=$DLY10&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP11:81/syncslave354.php?delay=$DLY11&trigger=$TRIGGERCONDITION" -O /dev/null
#testing right after preparing
  wget "http://$IP1:8081/pointers" -O $DIR1${FILE1}_000pointers.xml
  wget "http://$IP2:8081/pointers" -O $DIR2${FILE2}_000pointers.xml
  wget "http://$IP3:8081/pointers" -O $DIR3${FILE3}_000pointers.xml
  wget "http://$IP4:8081/pointers" -O $DIR4${FILE4}_000pointers.xml
  wget "http://$IP5:8081/pointers" -O $DIR5${FILE5}_000pointers.xml
  wget "http://$IP6:8081/pointers" -O $DIR6${FILE6}_000pointers.xml
  wget "http://$IP7:8081/pointers" -O $DIR7${FILE7}_000pointers.xml
  wget "http://$IP8:8081/pointers" -O $DIR8${FILE8}_000pointers.xml
  wget "http://$IP9:8081/pointers" -O $DIR9${FILE9}_000pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR10${FILE10}_000pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR11${FILE11}_000pointers.xml




#start host processes to store images
  receive_camera $IP1  $DIR1$FILE1 $1 &
  receive_camera $IP2  $DIR2$FILE2 $1 &
  receive_camera $IP3  $DIR3$FILE3 $1 &
  receive_camera $IP4  $DIR4$FILE4 $1 &
  receive_camera $IP5  $DIR5$FILE5 $1 &
  receive_camera $IP6  $DIR6$FILE6 $1 &
  receive_camera $IP7  $DIR7$FILE7 $1 &
  receive_camera $IP8  $DIR8$FILE8 $1 &
  receive_camera $IP9  $DIR9$FILE9 $1 &
  receive_camera $IP10 $DIR10$FILE10 $1 &
  receive_camera $IP11 $DIR11$FILE11 $1 &
#now just start periodic trigger signal output on the first camera
  wget "http://$IP1:81/syncmaster354.php?fps=$FPS&out=$GPIO_OUT" -O /dev/null
#that should do...
}
stop() {
#testing right after preparing
  wget "http://$IP1:8081/pointers" -O $DIR1${FILE1}_999pointers.xml
  wget "http://$IP2:8081/pointers" -O $DIR2${FILE2}_999pointers.xml
  wget "http://$IP3:8081/pointers" -O $DIR3${FILE3}_999pointers.xml
  wget "http://$IP4:8081/pointers" -O $DIR4${FILE4}_999pointers.xml
  wget "http://$IP5:8081/pointers" -O $DIR5${FILE5}_999pointers.xml
  wget "http://$IP6:8081/pointers" -O $DIR6${FILE6}_999pointers.xml
  wget "http://$IP7:8081/pointers" -O $DIR7${FILE7}_999pointers.xml
  wget "http://$IP8:8081/pointers" -O $DIR8${FILE8}_999pointers.xml
  wget "http://$IP9:8081/pointers" -O $DIR9${FILE9}_999pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR10${FILE10}_999pointers.xml
  wget "http://$IP11:8081/pointers" -O $DIR11${FILE11}_999pointers.xml

#stop periodic trigger
  wget "http://$IP1:81/syncmaster354.php?period=0&out=0" -O /dev/null
#resume "normal" (continuous) operation in all cameras)
  wget "http://$IP1:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP2:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP3:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP4:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP5:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP6:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP7:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP8:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP9:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP10:81/syncslave354.php?exit=1" -O /dev/null
  wget "http://$IP11:81/syncslave354.php?exit=1" -O /dev/null
#now wait fro child processes to acquire last images
  sleep 5;
#and kill all child processes.
#will that work?
  killall -9 $0
}
#       echo "camrcv.sh camera_IP base_filename number_to_acquire"

receive_camera() {
 #discard all possible frames from the circbuf
     wget "http://$1:8081$URLCMDINIT" -O /dev/null
#now acquire
     a=0
     while [ "$a" != "$3" ] ; do
#       wget "http://$1:8081$URLCMD1" -O $2_${a}meta.xml
#       wget "http://$1:8081$URLCMD2" -O $2_${a}pointers.xml
        wget "http://$1:8081$URLCMD" -O $2_${a}.jpeg
       a=$(($a +1))
     done
}
case "$1" in
    start) start $2;;
    stop) stop ;;
    *) echo "Usage:"; echo "camrcv.sh start number_of_frames - start all cameras";  echo "camrcv.sh stop - stop all cameras";   exit 0;
esac


 
