<?php
// XML LOADING
require_once('xml_simple.php');
function parse_array($element) 
{
	global $logdata, $logindex;
	foreach ($element as $header => $value) 
	{
		if (is_array($value)) 
		{
			parse_array($value);
			$logindex++;
		} else 
		{
			$logdata[$logindex][$header] = $value;
		}
	}
}
	
$parser =& new xml_simple('UTF-8');
$def_file = "app-bar/apps.xml";
$fh = fopen($def_file, r);
$xmldata = fread($fh, filesize($def_file));
$request = $parser->parse($xmldata);

// catch errors
$error_code = 0;
if (!$request) {
	$error_code = 1;
	echo("XML error: ".$parser->error);
}

$logdata = array();
$logindex = 0;
parse_array($parser->tree);

echo "<div id=\"logo\"></div>\n";
echo "<div id=\"logotext\"><a href=\"http://www.elphel.com\">Elphel</a></div>\n";
echo "<div id=\"app-bar\">\n";

// TOP BAR
echo "<table class=\"top_table\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
for ($i = 0; $i < sizeof($logdata); $i++)
{
	if ($logdata[$i]['category'] == "main")
	{
		echo "<td class=\"top_coloumn\" align=\"center\">";
		// app that opens in the normal content frame
		if($logdata[$i]['target'] == "")
		{
			echo "<a href=\"index.php?site=".$logdata[$i]['link']."\" ";
		
			if ($site == $logdata[$i]['link'])	
				 echo "class=\"name current_site\"";
			else
				echo "class=\"name\"";
		
			echo ">".$logdata[$i]['name']."</a>";
			echo "</td>\n";
		}
		// open app in an entirely new window
		if($logdata[$i]['target'] == "newwindow")
		{
			echo "<a href=\"#\"";
			echo  " onclick=\"opennewwindow('".$logdata[$i]['link']."', '".$logdata[$i]['codename']." - ".$_SERVER['REMOTE_ADDR']."')\" ";
		
			if ($site == $logdata[$i]['link'])	
				 echo "class='name current_site'";
			else
				echo "class='name'";
		
			echo ">".$logdata[$i]['name']."</a>";
			echo "</td>\n";
		}
	}
}
echo "</tr></table>\n";

echo "<a id=\"moretoogle\" href=\"/app-bar/app-list.php\">More ▼</a>\n";

echo "</div>\n";

?>
