<script type="text/javascript" src='10369.js'></script>
<?
// XML LOADING
require_once('xml_simple.php');
function parse_array($element) 
{
	global $logdata, $logindex;
	foreach ($element as $header => $value) 
	{
		if (is_array($value)) 
		{
			parse_array($value);
			$logindex++;
		} else 
		{
			$logdata[$logindex][$header] = $value;
		}
	}
}
	
$parser =& new xml_simple('UTF-8');

$read_file = "http://".$_SERVER['HTTP_HOST']."/i2c.php?cmd=fromEEPROM";
$xml_data = file_get_contents($read_file);

$request = $parser->parse($xml_data);

// catch errors
$error_code = 0;
if (!$request) {
	$error_code = 1;
	echo("XML error: ".$parser->error);
}

$logdata = array();
$logindex = 0;
parse_array($parser->tree);

$revision = $logdata[0]['rev'];
$serial_number = $logdata[0]['serial'];
$time = $logdata[0]['time'];

$parser2 =& new xml_simple('UTF-8');
$read_file2 = "http://".$_SERVER['HTTP_HOST']."/i2c.php?bus=1&raw=0x2000";
$xml_data2 = file_get_contents($read_file2);

$request2 = $parser2->parse($xml_data2);

// catch errors
$error_code = 0;
if (!$request2) {
	$error_code = 1;
	echo("XML error: ".$parser2->error);
}

//$logdata = array();
$logindex = 0;
parse_array($parser2->tree);

$data = $logdata[0]['data'];
$binary_data = decbin($data);
if( $data < 128 ) 
	$binary_data = "0".decbin($data);
if( $data < 64 ) 
	$binary_data = "00".decbin($data);
if( $data < 32 ) 
	$binary_data = "000".decbin($data);
if( $data < 16 ) 
	$binary_data = "0000".decbin($data);
if( $data < 8 ) 
	$binary_data = "00000".decbin($data);
if( $data < 4 ) 
	$binary_data = "000000".decbin($data);
if( $data < 2 ) 
	$binary_data = "0000000".decbin($data);

$CF0PRESENT = substr($binary_data, 7, 1);
$CF1PRESENT = substr($binary_data, 6, 1);
$EN_CFM = substr($binary_data, 5, 1);
$EN_CFS  = substr($binary_data, 4, 1);
$EN_SATA  = substr($binary_data, 3, 1);
$SATA_MASTER = substr($binary_data, 2, 1);
$DIS_SPREAD = substr($binary_data, 1, 1);
 
$parser3 =& new xml_simple('UTF-8');
$read_file3 = "http://".$_SERVER['HTTP_HOST']."/i2c.php?width=8&bus=1&adr=0x4800";
$xml_data3 = file_get_contents($read_file3);

$request3 = $parser3->parse($xml_data3);

// catch errors
$error_code = 0;
if (!$request3) {
	$error_code = 1;
	echo("XML error: ".$parser3->error);
}

//$logdata = array();
$logindex = 0;
parse_array($parser3->tree);

$temperature = $logdata[0]['data'];

?>
<h1>10369 Setup</h1>
<div class="notice">Rebooting the camera does not reset these values.</div>
<br>
<fieldset>
<p><b>Board Revision: </b><? echo $revision; ?></p>
<p><b>Board Serial Number: </b><? echo $serial_number; ?></p>
<p><b>Board Temperature: </b><? echo $temperature."&deg;C"; ?></p>
<p><b>Initial Firmware written on: </b><? echo date("d.m.Y H:m", $time)." (D.M.Y)"; ?></p>
<? //echo $binary_data; ?>
<span class="notice">Careful: Most likely you will not need to change any of the following settings. Only tamper with them if you know what you are doing.</span><br/>
<div class="warning">
	<table cellpadding="0" cellspacing="0">
	<tr>
		<td width="250px"><b>Master CF Card in Slot 1 (CF0 bottom):</b></td>
		<td><? if ($CF0PRESENT) echo "not detected"; else echo "detected"; ?></td>
	</tr>
	<tr>
		<td><b>Slave CF Card in Slot 2 (CF1 top):</b></td>
		<td><? if ($CF1PRESENT) echo "not detected"; else echo "detected"; ?></td>
	</tr>
	<tr>
		<td><b>Enable Master CF Card in Slot 1 (CF0 bottom)</b><br>if disabled enables SATA:</td>
		<td><input type="checkbox" name="EN_CFM" id="EN_CFM" <? if ($EN_CFM) echo "checked";?></td>
	</tr>
	<tr>
		<td><b>Enable Slave CF Card in Slot 2 (CF1 top)</b><br>if disabled enables SATA:</td>
		<td><input type="checkbox" name="EN_CFS" id="EN_CFS" <? if ($EN_CFS) echo "checked";?></td>
	</tr>
	<tr>
		<td><b>Enable SATA:</td>
		<td><input type="checkbox" name="EN_SATA" id="EN_SATA" <? if ($EN_SATA) echo "checked";?></td>
	</tr>
	<tr>
		<td><b>Set:<br>SATA = Master<br>IDE = Slave</b></td>
		<td><input type="checkbox" name="SATA_MASTER" id="SATA_MASTER" <? if ($SATA_MASTER) echo "checked";?></td>
	</tr>
	<tr>
		<td><b>Enable Spread Spectrum in SATA</b></td>
		<td><input type="checkbox" name="SATA_SPREAD" id="SATA_SPREAD" <? if (!$DIS_SPREAD) echo "checked";?></td>
	</tr>
	</table>
</div>
<form>
<input type="button" value="Set" onClick="Save()"> <input type="button" value="Reboot" onClick="Reboot()">
</form>
</fieldset>
<br />
<fieldset>
	<b>Devices</b>  <a href="#" onClick="scan_devices();"><img src="../camogmgui/images/reload.png" style="bottom:-2px; position:relative;"></a><br />
    <br />
	<div id="ajax_devices">loading...</div><br />
</fieldset>
