<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title>Elphel&reg; as (advanced) Webcam</title>
</head>
  <body style="background-color:#000; color:#fff; font-family:Verdana, Arial; font-size:0.7em;" onload="window.setTimeout('window.location.reload()', 500);">
  <body >
<style type="text/css">
p.shadowed {
  text-shadow: black 1px 1px 3px;
}
</style>

<?php

// get EXIF from 0 image buffer (current)
$camera_exif = elphel_get_exif_elphel('0');    

echo "<div style=\"width:900px; margin: 0 auto;\">";

// display live image from camera
echo "<img style=\"text-align:center; border:1px solid #555;\" width=\"900px\" src=\"http://".$_SERVER['HTTP_HOST'].":8081/bimg\"><br/>";

// display GPS coordinates
echo "<div style=\"float:left; position:absolute; top:-5px; padding:3px;\">";
echo "<p class=\"shadowed\">";
if ($GPS) {
  echo $exif['GPSDateTime']." ".$exif['GPSLongitude'].$exif['GPSLatitude'].$exif['GPSAltitude'];
  //echo "40&deg;43'24\"N   111&deg;55'56\"W";
  //.var_dump($GPS);
}else {
  echo "No GPS detected";
}
echo "</p></div>";

// display Date/Time
echo "<div style=\"float:right; position:relative; bottom:35px; padding:3px;\">"
."<p class=\"shadowed\">"
.date("H:i:s M/d/Y")
."</p></div>";

// display Histogram
echo "<div style=\"float:left; padding:3px; position:relative; bottom:100px; margin:5px; background-color:#000; -moz-border-radius:5px; \">"
."<img src=\"pnghist.cgi?sqrt=1&scale=5&average=5&height=80&fillz=1&linterpz=0&draw=2&colors=41\">"
."</div>";

// display Exposure
echo "<div style=\"float:left; position:relative; bottom:35px; padding:3px; \">"
."<p class=\"shadowed\">"
."Exposure: ".(round(elphel_get_P_value(ELPHEL_EXPOS)/1000, 2))."ms"
."</p></div>";


echo "</div>\n";
?>
</body>
</html>

