#!/bin/sh
FPS=0.5

URLCMDINIT="/towp/save"
URLCMD= "/torp/wait/img/next/save"
#URLCMD="/torp/wait/img"
#URLCMD1="/torp/meta"
#URLCMD="/torp/wait/img"
#URLCMD="/torp/img/next/save"
#URLCMD1="/torp/wait/meta/next/save"
#URLCMD2="/torp/pointers"
#master camera IP
IPM="192.168.0.110"
#camera IP
IP1="192.168.0.110"
IP2="192.168.0.120"
IP3="192.168.0.130"
IP4="192.168.0.140"
IP5="192.168.0.150"
IP6="192.168.0.160"
IP7="192.168.0.170"
IP8="192.168.0.180"


DIR1="camera01/"
DIR2="camera02/"
DIR3="camera03/"
DIR4="camera04/"
DIR5="camera05/"
DIR6="camera06/"
DIR7="camera07/"
DIR8="camera08/"

FILE1="img"
FILE2="img"
FILE3="img"
FILE4="img"
FILE5="img"
FILE6="img"
FILE7="img"
FILE8="img"

CCAMIMGURL="admin-bin/ccam.cgi?opt=*vhc&ww=4008&wh=2676&bit=8&iq=95&byr=0&gam=99&rscale=1&bscale=1&e=1"


start() {
 echo "Starting acquisition of $1 images from each of 11 cameras"
# sleep 10
 if [ "$DIR1" != "" ] ; then mkdir -p $DIR1 ; fi 
 if [ "$DIR2" != "" ] ; then mkdir -p $DIR2 ; fi 
 if [ "$DIR3" != "" ] ; then mkdir -p $DIR3 ; fi 
 if [ "$DIR4" != "" ] ; then mkdir -p $DIR4 ; fi 
 if [ "$DIR5" != "" ] ; then mkdir -p $DIR5 ; fi 
 if [ "$DIR6" != "" ] ; then mkdir -p $DIR6 ; fi 
 if [ "$DIR7" != "" ] ; then mkdir -p $DIR7 ; fi 
 if [ "$DIR8" != "" ] ; then mkdir -p $DIR8 ; fi 
#acquire image from each of the cameras, discard result
  wget "http://$IP1:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP2:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP3:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP4:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP5:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP6:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP7:81/$CCAMIMGURL" -O /dev/null
  wget "http://$IP8:81/$CCAMIMGURL" -O /dev/null
#testing right before preparing
  wget "http://$IP1:8081/pointers" -O $DIR1${FILE1}_0000pointers.xml
  wget "http://$IP2:8081/pointers" -O $DIR2${FILE2}_0000pointers.xml
  wget "http://$IP3:8081/pointers" -O $DIR3${FILE3}_0000pointers.xml
  wget "http://$IP4:8081/pointers" -O $DIR4${FILE4}_0000pointers.xml
  wget "http://$IP5:8081/pointers" -O $DIR5${FILE5}_0000pointers.xml
  wget "http://$IP6:8081/pointers" -O $DIR6${FILE6}_0000pointers.xml
  wget "http://$IP7:8081/pointers" -O $DIR7${FILE7}_0000pointers.xml
  wget "http://$IP8:8081/pointers" -O $DIR8${FILE8}_0000pointers.xml

#TODO: add ccam.cgi url to get one image with correct size, quality, mode, etc.
#prepare all cameras to acquire images when triggered

#  put each camera in constant compression mode
  wget "http://$IP1:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP2:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP3:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP4:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP5:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP6:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP7:81/compressor.php?cmd=run" -O /dev/null
  wget "http://$IP8:81/compressor.php?cmd=run" -O /dev/null
#Enable external triggering of the cameras
  wget "http://$IP1:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP2:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP3:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP4:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP5:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP6:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP7:81//trig.php?cmd=arm" -O /dev/null
  wget "http://$IP8:81//trig.php?cmd=arm" -O /dev/null

  wget "http://$IP1:81/syncslave354.php?delay=$DLY1&trigger=$TRIGGERCONDITION" -O /dev/null 
  wget "http://$IP2:81/syncslave354.php?delay=$DLY2&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP3:81/syncslave354.php?delay=$DLY3&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP4:81/syncslave354.php?delay=$DLY4&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP5:81/syncslave354.php?delay=$DLY5&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP6:81/syncslave354.php?delay=$DLY6&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP7:81/syncslave354.php?delay=$DLY7&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP8:81/syncslave354.php?delay=$DLY8&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP9:81/syncslave354.php?delay=$DLY9&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP10:81/syncslave354.php?delay=$DLY10&trigger=$TRIGGERCONDITION" -O /dev/null
  wget "http://$IP11:81/syncslave354.php?delay=$DLY11&trigger=$TRIGGERCONDITION" -O /dev/null
#testing right after preparing
  wget "http://$IP1:8081/pointers" -O $DIR1${FILE1}_000pointers.xml
  wget "http://$IP2:8081/pointers" -O $DIR2${FILE2}_000pointers.xml
  wget "http://$IP3:8081/pointers" -O $DIR3${FILE3}_000pointers.xml
  wget "http://$IP4:8081/pointers" -O $DIR4${FILE4}_000pointers.xml
  wget "http://$IP5:8081/pointers" -O $DIR5${FILE5}_000pointers.xml
  wget "http://$IP6:8081/pointers" -O $DIR6${FILE6}_000pointers.xml
  wget "http://$IP7:8081/pointers" -O $DIR7${FILE7}_000pointers.xml
  wget "http://$IP8:8081/pointers" -O $DIR8${FILE8}_000pointers.xml
  wget "http://$IP9:8081/pointers" -O $DIR9${FILE9}_000pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR10${FILE10}_000pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR11${FILE11}_000pointers.xml


#start host processes to store images
  receive_camera $IP1  $DIR1$FILE1 $1 &
  receive_camera $IP2  $DIR2$FILE2 $1 &
  receive_camera $IP3  $DIR3$FILE3 $1 &
  receive_camera $IP4  $DIR4$FILE4 $1 &
  receive_camera $IP5  $DIR5$FILE5 $1 &
  receive_camera $IP6  $DIR6$FILE6 $1 &
  receive_camera $IP7  $DIR7$FILE7 $1 &
  receive_camera $IP8  $DIR8$FILE8 $1 &
  receive_camera $IP9  $DIR9$FILE9 $1 &
  receive_camera $IP10 $DIR10$FILE10 $1 &
  receive_camera $IP11 $DIR11$FILE11 $1 &
#now just start periodic trigger signal output on the "master" camera
  trigger_loop $IPM $1
#that should do...
}
stop() {
#testing right after preparing
  wget "http://$IP1:8081/pointers" -O $DIR1${FILE1}_999pointers.xml
  wget "http://$IP2:8081/pointers" -O $DIR2${FILE2}_999pointers.xml
  wget "http://$IP3:8081/pointers" -O $DIR3${FILE3}_999pointers.xml
  wget "http://$IP4:8081/pointers" -O $DIR4${FILE4}_999pointers.xml
  wget "http://$IP5:8081/pointers" -O $DIR5${FILE5}_999pointers.xml
  wget "http://$IP6:8081/pointers" -O $DIR6${FILE6}_999pointers.xml
  wget "http://$IP7:8081/pointers" -O $DIR7${FILE7}_999pointers.xml
  wget "http://$IP8:8081/pointers" -O $DIR8${FILE8}_999pointers.xml
  wget "http://$IP9:8081/pointers" -O $DIR9${FILE9}_999pointers.xml
  wget "http://$IP10:8081/pointers" -O $DIR10${FILE10}_999pointers.xml
  wget "http://$IP11:8081/pointers" -O $DIR11${FILE11}_999pointers.xml

#stop each camera (from constant compression mode)
  wget "http://$IP1:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP2:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP3:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP4:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP5:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP6:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP7:81/compressor.php?cmd=stop" -O /dev/null
  wget "http://$IP8:81/compressor.php?cmd=stop" -O /dev/null

#now wait for child processes to acquire last images
  sleep 5;
#and kill all child processes.
#will that work?
  killall -9 $0
}
trigger_loop() {
     a=0
     while [ "$a" != "$2" ] ; do
#send trigger pulse
        wget "http://$1:81/trig.php?cmd=fireall" -O /dev/null
#wait master camera to acquire an image (doesn't need to be master)
        wget "http://$IPM:8081/towp/wait/" -O /dev/null
#add extra delay here if transferring of the images takes longer than acquisition. Or just watch fro buffer usage (/pointers) 
       a=$(($a +1))
     done
}

receive_camera() {
 #discard all possible frames from the circbuf
     wget "http://$1:8081$URLCMDINIT" -O /dev/null
#now acquire
     a=0
     while [ "$a" != "$3" ] ; do
#       wget "http://$1:8081$URLCMD1" -O $2_${a}meta.xml
#       wget "http://$1:8081$URLCMD2" -O $2_${a}pointers.xml
        wget "http://$1:8081$URLCMD" -O $2_${a}.jpeg
       a=$(($a +1))
     done
}
case "$1" in
    start) start $2;;
    stop) stop ;;
    *) echo "Usage:"; echo "pgm363-8.sh start number_of_frames - start all cameras";  echo "pgm363-8.sh stop - stop all cameras";   exit 0;
esac


 
