<script type="text/javascript" src='network.js'></script>
<h1>Network Settings</h1>
<span class="notice">Careful with this setting! If you set them to wrong values you might not be able to reach the camera over Ethernet anymore.</span><br/>
<br/>
<fieldset>
	<span class="notice">Changes take effect immediately. Your browser will automatically redirect you to the new IP.<br/>
	<br/>
	In case something went wrong when setting the IP use <a href="http://wiki.elphel.com/index.php?title=Network_configuration#ipsetd">IPsetd</a> or connect to the camera over RS232.</span>
	<p>
	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td><b>IP:</b></td>
		<td><input type="text" id='ip_field' name='new_ip' onBlur="ip_validate()" onChange="ip_validate()" onKeyUp="ip_validate()" /></td>
		<td><span id="ip_check"></span></td>
	</tr>
	<tr>
		<td><b>Netmask:</b></td>
		<td><input type="text" id='netmask_field' name='new_netmask' onkeyup='netmask_validate()' onBlur="netmask_validate()" onChange="netmask_validate()" /></td>
		<td><span id="netmask_check"></span></td>
	</tr>
	<tr>
		<td><b>Gateway:</b></td>
		<td><input type="text" id='gateway_field' name='new_gateway' onkeyup='gateway_validate()' onBlur="gateway_validate()" onChange="gateway_validate()" /></td>
		<td><span id="gateway_check"></span></td>
	</tr>
	<tr>
		<td><b>Broadcast:</b></td>
		<td><input type="text" id='broadcast_field' name='new_broadcast' onkeyup='broadcast_validate()' onBlur="broadcast_validate()" onChange="broadcast_validate()" /></td>
		<td><span id="broadcast_check"></span></td>
	</tr>
	<tr>
		<td><b>MAC Address</b><br>(Camera Serial Number):</td>
		<td><input type="text" id="serial_number" value="" readonly style="background-color:#CCCCCC"/></td>
	</tr>
	<tr>
		<td></td>
		<td><input type='button' id="submit" value='Save' onClick="submit()" /></td>
	</tr>
	</table>
	</p>
</fieldset>
