<?
	exec('dmesg', $arr1);
	$dmesg = implode("\n", $arr1);
	
	exec('uptime', $arr2);
	$uptime = implode("\n", $arr2);

	exec("cat /proc/interrupts", $arr3);
	$interrupts = implode("\n",$arr3);

	exec("cat /var/log/fpga_sdram_phase", $arr4);
	$sdram_phase = implode("\n", $arr4);

	exec("ifconfig", $arr5);
	$network = implode("\n", $arr5);

	exec('cat /etc/issue', $arr6);
	$firmware = "Firmware Version:".$arr6[1]; 

	$serial = exec("/bin/bootblocktool -x SERNO");
	$serial_number = substr($serial,0,2).":".substr($serial,2,2).":".substr($serial,4,2).":".substr($s,6,2).":".substr($serial,8,2).":".substr($serial,10,2);

	$fpga_version = exec("fpcf -r 13");

	exec("top -n 1", $arr7);
	$processes = implode("\n", $arr7);

	exec("netstat", $arr8);
	$netstat = implode("\n", $arr8);

	exec("/bin/date", $arr9);
	$date = implode("\n", $arr9);

	$cmd = "bootblocktool -l";
	$arslt = array();
	$outp = exec  ($cmd, &$arslt);
	foreach ($arslt as $val) {
		$kv = explode("=", $val);
		$result[$kv[0]] = $kv[1];
	}
	
	$_10353 = "Board Revision: ".$result['REVISION']."\n";
	$_10353 .= "Initial Firmware written on: ".date("d.m.Y H:m", $result['TIME'])." (D.M.Y)";

	// XML LOADING
	require_once('xml_simple.php');
	function parse_array($element) 
	{
		global $logdata, $logindex;
		foreach ($element as $header => $value) 
		{
			if (is_array($value)) 
			{
				parse_array($value);
				$logindex++;
			} else 
			{
				$logdata[$logindex][$header] = $value;
			}
		}
	}
		
	$parser =& new xml_simple('UTF-8');
	
	$rslt = i2c_read256b();
	$zero = strpos($rslt, chr(0));
	if ($zero !== false) 
		$rslt = substr($rslt, 0, $zero);
	
	$request = $parser->parse($rslt);
	
	// catch errors
	$error_code = 0;
	if (!$request) {
		$error_code = 1;
		echo("XML error: ".$parser->error);
	}
	
	$logdata = array();
	$logindex = 0;
	parse_array($parser->tree);
	
	$revision = $logdata[0]['rev'];
	$serial_number = $logdata[0]['serial'];
	$flashdate = $logdata[0]['time'];
	
	
	$adr = (0x2000+0) & ~0x7f;
	$raw = 1;
	$width = 8;
	$bus = 1;
	
	$data = i2c_receive($width,$bus,$adr,$raw);

	$CF0PRESENT = substr(decbin($data), 7, 1);
	$CF1PRESENT = substr(decbin($data), 6, 1);
	$EN_CFM = substr(decbin($data), 5, 1);
	$EN_CFS  = substr(decbin($data), 4, 1);
	$EN_SATA  = substr(decbin($data), 3, 1);
	$SATA_MASTER = substr(decbin($data), 2, 1);
	$DIS_SPREAD = substr(decbin($data), 1, 1);
	
	
	$adr = 0x4800;
	$raw = 0;
	$width = 8;
	$bus = 1;
	
	$temperature = i2c_receive($width,$bus,$adr,$raw);

	$_10369 = "";
	$_10369 .= "Board Revision: ".$revision."\n";
	$_10369 .= "Board Serial Number: ".$serial_number."\n";
	$_10369 .= "Board Temperature: ".$temperature."°C\n";
	$_10369 .= "Initial Flash Date: ".date("d.m.Y H:m", $flashdate)." (D.M.Y)\n";
	$_10369 .= "CF0PRESENT: ".$CF0PRESENT."\n";
	$_10369 .= "CF1PRESENT: ".$CF1PRESENT."\n";
	$_10369 .= "EN_CFM: ".$EN_CFM."\n";
	$_10369 .= "EN_CFS: ".$EN_CFS."\n";
	$_10369 .= "EN_SATA: ".$EN_SATA."\n";
	$_10369 .= "SATA_MASTER: ".$SATA_MASTER."\n";
	$_10369 .= "SATA_MASTER: ".$SATA_MASTER."\n";
	$_10369 .= "DIS_SPREAD: ".$DIS_SPREAD;
	
	// big BUNCH of camera parameters
	$_parameters = "";
	$elphel_prefix="ELPHEL_";
	$parameters = array ('SENSOR_RUN', 'BAYER', 'FP1000SLIM', 'CLK_FPGA', 'CLK_SENSOR', 'FPGA_XTRA', 'TRIG', 'EXPOS', 'VIRT_KEEP', 'VIRT_WIDTH', 'VIRT_HEIGHT', 'WOI_LEFT', 'WOI_TOP', 'WOI_WIDTH', 'WOI_HEIGHT', 'FLIPH', 'FLIPV', 'FPSFLAGS', 'DCM_HOR', 'DCM_VERT', 'BIN_HOR', 'BIN_VERT', 'FPGATEST', 'TESTSENSOR', 'COLOR', 'FRAMESYNC_DLY', 'PF_HEIGHT', 'BITS', 'SHIFTL', 'FPNS', 'FPNM', 'VIRTTRIG', 'GAINR', 'GAING', 'GAINB', 'GAINGB', 'RSCALE_CTL', 'GSCALE_CTL', 'BSCALE_CTL', 'FATZERO', 'QUALITY', 'COLOR_SATURATION_BLUE', 'COLOR_SATURATION_RED', 'VIGNET_AX', 'VIGNET_AY', 'VIGNET_BX', 'VIGNET_BY', 'VIGNET_C', 'VIGNET_SHL', 'SCALE_ZERO_IN', 'SCALE_ZERO_OUT', 'DGAINR', 'DGAING', 'DGAINGB', 'DGAINB', 'CORING_PAGE', 'SENSOR_PHASE', 'AUTOEXP_ON', 'HISTWND_RWIDTH', 'HISTWND_RHEIGHT', 'HISTWND_RLEFT', 'HISTWND_RTOP', 'AUTOEXP_EXP_MAX', 'FOCUS_SHOW', 'FOCUS_SHOW1', 'RFOCUS_LEFT', 'RFOCUS_WIDTH', 'RFOCUS_TOP', 'RFOCUS_HEIGHT', 'FOCUS_FILTER', 'TRIG_CONDITION', 'TRIG_DELAY', 'TRIG_OUT', 'TRIG_PERIOD', 'SKIP_FRAMES', 'I2C_QPERIOD', 'I2C_BYTES', 'IRQ_SMART', 'EXTERN_TIMESTAMP', 'OVERSIZE', 'GTAB_R', 'GTAB_G', 'GTAB_GB', 'GTAB_B', 'COMPRESSOR_RUN', 'COMPMOD_BYRSH', 'COMPMOD_TILSH', 'COMPMOD_DCSUB', 'DAEMON_EN', 'DAEMON_EN_AUTOEXPOSURE', 'DAEMON_EN_STREAMER', 'DAEMON_EN_CCAMFTP', 'DAEMON_EN_CAMOGM', 'DAEMON_EN_AUTOCAMPARS', 'AEXP_FRACPIX', 'AEXP_LEVEL', 'HDR_DUR', 'HDR_VEXPOS', 'EXP_AHEAD', 'AE_THRESH', 'WB_THRESH', 'AE_PERIOD', 'WB_PERIOD', 'WB_MASK', 'WB_EN', 'WB_WHITELEV', 'WB_WHITEFRAC', 'WB_MAXWHITE', 'WB_SCALE_R', 'WB_SCALE_GB', 'WB_SCALE_B', 'GAIN_MIN', 'GAIN_MAX', 'GAIN_CTRL', 'GAIN_STEP', 'ANA_GAIN_ENABLE', 'FTP_PERIOD', 'FTP_TIMEOUT', 'FTP_UPDATE', 'STROP_MCAST_EN', 'STROP_MCAST_IP', 'STROP_MCAST_PORT', 'STROP_MCAST_TTL', 'STROP_AUDIO_EN', 'STROP_AUDIO_RATE', 'STROP_AUDIO_CHANNEL', 'STROP_FRAMES_SKIP', 'AUDIO_CAPTURE_VOLUME', 'DEBUG', 'MAXAHEAD', 'HIST_DIM_01', 'HIST_DIM_23', 'TASKLET_CTL', 'HISTMODE_Y', 'HISTMODE_C', 'SKIP_DIFF_FRAME', 'PROFILING_EN');
	for ($j = 0; $j < count($parameters);  $j++) {
		$value = elphel_get_P_value(constant($elphel_prefix.$parameters[$j]));
		$_parameters .= $parameters[$j].": ".$value." | 0x".dechex($value)."\n";
	}


	// circbuffer meta data
	$circbuf_pointers = elphel_get_circbuf_pointers(1);
	$cur_ptr = end($circbuf_pointers); // get last image
	
	$_meta	= ""; // start with an empty string
	
	$_meta	.= "Frames in Circbuffer: ".count($circbuf_pointers)."\n";
	
	$framecount = elphel_get_frame();

	// limit to last 25 image or we risk a "500 - Internal Server Error"
	if (count($circbuf_pointers) < 25)
		$limit = count($circbuf_pointers)-1;
	else
		$limit = 25;
		
	// loop through all images in circbuffer
	for ($j = 0; $j < $limit; $j++) { //
		$meta = array('meta' => elphel_get_interframe_meta($cur_ptr['circbuf_pointer']),
					  'exif' => elphel_get_exif_elphel    ($cur_ptr['exif_pointer']));
					  
		$_meta .= "\nFrame: ".($framecount-$j-1)."\n";
		$_meta .= print_r($meta['meta'], true);
		$_meta .= print_r($meta['exif'], true);
	
		$cur_ptr = prev($circbuf_pointers);

		if ($cur_ptr == false)
			break;
	}
?>
<h1>Status Report</h1>
<textarea cols="100" rows="40">
<? 
$report = "";
$report .= "Camera Time: ".$date."\n";
$report .= "Status: ".$uptime."\n===============================================\n";
$report .= "Firmware: ".$firmware."\n===============================================\n";
$report .= "Camera Serial Number:\n".$serial_number."\n===============================================\n";
$report .= "FPGA Version:\n".$fpga_version."\n===============================================\n";
$report .= $dmesg."\n===============================================\n"; 
$report .= "Interrupts:\n".$interrupts."\n===============================================\n";
$report .= "FPGA SDRAM Phase:\n".$sdram_phase."\n===============================================\n";
$report .= "Network Settings:\n".$network."\n===============================================\n";
$report .= "Network Connections:\n".$netstat."\n===============================================\n";
$report .= "Processes:\n".$processes."\n===============================================\n";
$report .= "10353 Settings:\n".$_10353."\n===============================================\n";
$report .= "10369 Settings:\n".$_10369."\n===============================================\n";
$report .= "Parameters:\n".$_parameters."===============================================\n";
$report .= "Circbuffer Metadata:\n".$_meta."===============================================\n";


echo $report;
?>
</textarea>
<p><a href="report.tar.gz">Download Report as *.tar.gz</a></p>
<?


// Create Report file
$reportfile = "report.txt";
$fh = fopen($reportfile, 'w') or die("can't open file");
fwrite($fh, $report);
fclose($fh);
exec ("tar czf report.tar.gz report.txt", $arrtar);
echo $errors = implode("\n", $arrtar);


