<?php
/*!***************************************************************************
*! FILE NAME  : paramtool.php
*! DESCRIPTION: wrapper for Axis bootblocktool
*! (the original CGI mode uses non-standard parameters and fails with lighttpd)
*! only 2 commands "-l" and "-w"
*! Copyright (C) 2008 Elphel, Inc
*! -----------------------------------------------------------------------------**
*!
*!  This program is free software: you can redistribute it and/or modify
*!  it under the terms of the GNU General Public License as published by
*!  the Free Software Foundation, either version 3 of the License, or
*!  (at your option) any later version.
*!
*!  This program is distributed in the hope that it will be useful,
*!  but WITHOUT ANY WARRANTY; without even the implied warranty of
*!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*!  GNU General Public License for more details.
*!
*!  You should have received a copy of the GNU General Public License
*!  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*! -----------------------------------------------------------------------------**
*!  $Log: paramtool.php,v $
*!  Revision 1.1.1.1  2008/11/27 20:04:03  elphel
*!
*!
*!  Revision 1.1  2008/03/15 18:39:33  elphel
*!  new wrapper for Axis bootblocktool - old CGI mode used non-standard parameters and did not work with lighttpd
*!
*!
*/

  $pgm_name="bootblocktool";
  if (count($_GET) > 0 ) {
     $cmd=$pgm_name." -w ";
     $pars=array();
     foreach($_GET as $key=>$value) {
      $cmd.= $key."=".$value.":";
     }
     $cmd=rtrim($cmd,":");
     exec  ($cmd);
   }
   $cmd=$pgm_name." -l";
   $arslt=array();
   $outp= exec  ($cmd, &$arslt);
   $xml = new SimpleXMLElement("<?xml version='1.0' standalone='yes'?><bootblock/>");
   foreach ($arslt as $val) {
     $kv = explode("=", $val);
     $xml->addChild ($kv[0],$kv[1]);
   }
   $rslt=$xml->asXML();
   header("Content-Type: text/xml");
   header("Content-Length: ".strlen($rslt)."\n");
   header("Pragma: no-cache\n");
   printf($rslt);
?>
