#!/usr/local/sbin/php -q
<?php
/*!
*! PHP script
*! FILE NAME  : test_10369.php
*! DESCRIPTION: control web interface for test_inner_10369.php
*! AUTHOR     : spectr
*! Copyright (C) 2008 Elphel, Inc
*! -----------------------------------------------------------------------------**
*!
*!  This program is free software: you can redistribute it and/or modify
*!  it under the terms of the GNU General Public License as published by
*!  the Free Software Foundation, either version 3 of the License, or
*!  (at your option) any later version.
*!
*!  This program is distributed in the hope that it will be useful,
*!  but WITHOUT ANY WARRANTY; without even the implied warranty of
*!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*!  GNU General Public License for more details.
*!
*!  You should have received a copy of the GNU General Public License
*!  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*! -----------------------------------------------------------------------------**
*/

$stage_fn = "/etc/test/board_10369.stage";
$res_fn = "/etc/test/board_10369.res";
$launch_fn = "/etc/launch.conf";
$test_fn="/mnt/flash/html/test/test_inner_10369.php";

function _start() {
	global $res_fn;

	//return responce
	$res_xml = "<?xml version='1.0' standalone='yes'?><test name=\"test_10369\">";
	$res_xml .= "<start result=\"ok\"/>";
	$res_xml .= "</test>";
	$xml = new SimpleXMLElement($res_xml);
	$rslt=$xml->asXML();
	header("Content-Type: text/xml");
	header("Content-Length: ".strlen($rslt)."\n");
	header("Pragma: no-cache\n");
	printf($rslt);

	flush();
	// start the test
	unlink($res_fn);
//	pcntl_exec("/mnt/flash/html/test/test_inner_10369.php &");
	exec("/mnt/flash/html/test/test_inner_10369.php &");
}

$CMD = "res";
if($_GET['cmd'] == "start")
	$CMD = "start";

if($CMD == "start") {
	_start();
	exit(0);
}

if($CMD == "res") {
	global $res_fn;

	if(is_file($res_fn)) {
		$res = "<?xml version='1.0' standalone='yes'?><test name=\"test_10369\">";
		$res .= file_get_contents($res_fn);
		$res .= "</test>";
	} else {
		$res = "<?xml version='1.0' standalone='yes'?><test name=\"test_10369\">";
		$res .= "</test>";
	}

//sleep(1);
//exec("reboot");

	header("Content-Type: text/xml");
	header("Content-Length: ".strlen($res)."\n");
	header("Pragma: no-cache\n");
	printf($res);
	flush();
}

?>
